 /*
  * M-Bus Device Driver
  */
 
#ifndef _MBUS_DRIVER_h
#define _MBUS_DRIVER_h

#include <rtems/libio.h>

#ifdef __cplusplus
extern "C" {
#endif

#define MBUS_DRIVER_TABLE_ENTRY \
  { MBus_initialize, MBus_noop, MBus_noop, \
    MBus_read, MBus_write, MBus_noop }

rtems_device_driver MBus_initialize(
  rtems_device_major_number,
  rtems_device_minor_number,
  void *
);

rtems_device_driver MBus_noop(
  rtems_device_major_number,
  rtems_device_minor_number,
  void *
);

rtems_device_driver MBus_read(
  rtems_device_major_number,
  rtems_device_minor_number,
  void *
);

rtems_device_driver MBus_write(
  rtems_device_major_number,
  rtems_device_minor_number,
  void *
);

/* Don't use these... */
int  MBus_polled_rcv( unsigned addr, unsigned char* data, int nbyte );
int  MBus_polled_xmt( unsigned addr, unsigned char* data, int nbyte );
void MBus_LCD_off( void );

#ifdef __cplusplus
}
#endif

#endif
